MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000784XdebugDocumentationpublic2012-02-29 18:442012-04-22 14:48
Reportermickoz 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.0Fixed in Version2.2.0RC2 
Summary0000784: Unlimited feature for var_display_max_data and var_display_max_depth is undocumented
DescriptionI found from your update page (http://xdebug.org/updates.php [^])
"Allow xdebug.var_display_max_data and xdebug.var_display_max_depth settings of -1 which will unlimit those settings."
Which is cleaner than use a high value like 999.

However, for these two settings, you did not document it in your all_setting page:
http://xdebug.org/docs/all_settings#var_display_max_data [^]
http://xdebug.org/docs/all_settings#var_display_max_depth [^]

You should update documentation.

On a related note and that should be directed to the person who take care of the software design:
Semantically "-1" is also not obvious, unless you know it. I know developers sometime use -1 or 0 as unlimited (to keep the same data type for their setting), it can be OK, but I often try to be "right" on the value I choose. The real answer is that there is no maximum. We can therefore use a value like null to express there is no maximum (or we can think and create/support a constant/alias value for settings like */undefined/unlimited/none/null/etc.). If you choose to go that route and want feedback, I will be glad to put my 2 cents about what I think is the right value/name/etc.
TagsNo tags attached.
Operating System
PHP Version5.3.9
Attached Files

- Relationships

-  Notes
(0002008)
derick (administrator)
2012-03-24 17:04

I don't quite disagree with the "-1" issue, but IMO, there are lots of more important things to fix/do right now.

I've updated the documentation though.

- Issue History
Date Modified Username Field Change
2012-02-29 18:44 mickoz New Issue
2012-03-12 16:25 derick Target Version => 2.2.0
2012-03-24 17:04 derick Note Added: 0002008
2012-03-24 17:04 derick Status new => closed
2012-03-24 17:04 derick Assigned To => derick
2012-03-24 17:04 derick Resolution open => fixed
2012-04-22 14:48 derick Fixed in Version => 2.2.0RC2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker